unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, opbitmap, opfppicture, lazbridge32;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormCreate(Sender:TObject);
    procedure FormDestroy(Sender:TObject);
    procedure FormPaint(Sender:TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  pic:TOpFpPicture;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender:TObject);
begin
  pic:=TOpFpPicture.Create(0,0);
  pic.LoadFromFile('sdck.jpg');
  pic.OpBmp.SetAlpha(255);
end;

procedure TForm1.FormDestroy(Sender:TObject);
begin
  pic.free;
end;

procedure TForm1.FormPaint(Sender:TObject);
begin
  lazbridge32.OpBitmapPaint32A(pic.OpBmp,Canvas,0,0);
end;

end.

